include("PlotIterators")
include("InstanceManager")
include("ContactAction")

-- Mission 1 - BombCity
local BombCity = {
	Name = "BombCity",
	Title = "TXT_KEY_BOMBCITY",
	-- TODO: Fix it. It's not work.
	OrderPriority = 198,
	--IconAtlas = "UNIT_ACTION_ATLAS",
	--PortraitIndex = 13,
	IconAtlas = "RM_UNIT_ACTION_ATLAS",
	PortraitIndex = 0,
	ToolTip = function(action, unit)
		if (unit:IsActiveBombBuilding()) then
			return "TXT_KEY_BOMBCITY_TOOLTIP"
		else
			return "TXT_KEY_BOMBCITY_DISABLED"
		end
	end,
	Condition = function(action, unit)
		if (unit:GetMoves() == 0) then
			return false
		end
		if (unit:CanBombBuilding()) then
			return true
		else
			return false
		end
	end,
	Disabled = function(action, unit)
		return not unit:IsActiveBombBuilding();
	end,
	Action = function(action, ActiveUnit, eClick)
		function doBombCity ( hexX, hexY )
			if (CanDoActionAt(1, ActiveUnit, hexX, hexY)) then
				DoActionAt(1, ActiveUnit, hexX, hexY);
			end
			LuaEvents.ContactAction.Remove(doBombCity);
			UI.SetInterfaceMode(InterfaceModeTypes.INTERFACEMODE_SELECTION);
		end
		LuaEvents.ContactAction.Add(doBombCity);
		UI.SetInterfaceMode(GameInfoTypes.INTERFACEMODE_RANGE_ATTACK_BOMBCITY);
	end,
}

LuaEvents.UnitPanelActionAddin(BombCity)


-- Mission 2 - BombImprovement
local BombImprovement = {
	Name = "BombImprovement",
	Title = "TXT_KEY_BOMBIMPROVEMENT",
	-- TODO: Fix it. It's not work.
	OrderPriority = 198,
	IconAtlas = "RM_UNIT_ACTION_ATLAS",
	PortraitIndex = 1,
	ToolTip = function(action, unit) 
		if (unit:IsActiveBombImprovement()) then
			return "TXT_KEY_BOMBIMPROVEMENT_TOOLTIP"
		else
			return "TXT_KEY_BOMBIMPROVEMENT_DISABLED"
		end
	end,
	Condition = function(action, unit)
		if (unit:GetMoves() == 0) then
			return false
		end
		if (unit:CanBombImprovement()) then
			return true
		else
			return false
		end
	end,
	Disabled = function(action, unit)
		return not unit:IsActiveBombImprovement();
	end,
	Action = function(action, ActiveUnit, eClick)
		function doBombImprovement ( hexX, hexY )
			if (CanDoActionAt(2, ActiveUnit, hexX, hexY)) then
				DoActionAt(2, ActiveUnit, hexX, hexY);
			end
			LuaEvents.ContactAction.Remove(doBombImprovement);
			UI.SetInterfaceMode(InterfaceModeTypes.INTERFACEMODE_SELECTION);
		end
		LuaEvents.ContactAction.Add(doBombImprovement);
		UI.SetInterfaceMode(GameInfoTypes.INTERFACEMODE_RANGE_ATTACK_IMPROVEMENT);
	end,
}

LuaEvents.UnitPanelActionAddin(BombImprovement)

-- Mission 3 - PointedStrike
local PointedStrike = {
	Name = "PointedStrike",
	Title = "TXT_KEY_POINTEDSTRIKE",
	-- TODO: Fix it. It's not work.
	OrderPriority = 198,
	IconAtlas = "RM_UNIT_ACTION_ATLAS",
	PortraitIndex = 2,
	ToolTip = function(action, unit)
		if (unit:IsActivePointedStrike()) then
			return "TXT_KEY_POINTEDSTRIKE_TOOLTIP"
		else
			return "TXT_KEY_POINTEDSTRIKE_DISABLED"
		end
	end,
	Condition = function(action, unit)
		if (unit:GetMoves() == 0) then
			return false
		end
		if (unit:CanPointedStrike()) then
			return true
		else
			return false
		end
	end,
	Disabled = function(action, unit)
		return not unit:IsActivePointedStrike();
	end,
	Action = function(action, ActiveUnit, eClick)
		function doPointedStrike ( hexX, hexY )
			if (CanDoActionAt(3, ActiveUnit, hexX, hexY)) then
				DoActionAt(3, ActiveUnit, hexX, hexY);
			end
			LuaEvents.ContactAction.Remove(doPointedStrike);
			UI.SetInterfaceMode(InterfaceModeTypes.INTERFACEMODE_SELECTION);
		end
		LuaEvents.ContactAction.Add(doPointedStrike);
		UI.SetInterfaceMode(GameInfoTypes.INTERFACEMODE_RANGE_ATTACK_POINTEDSTRIKE);
	end,
}

LuaEvents.UnitPanelActionAddin(PointedStrike)

-- Mission 4 - Recon
local Recon = {
	Name = "Recon",
	Title = "TXT_KEY_RECON",
	-- TODO: Fix it. It's not work.
	OrderPriority = 198,
	IconAtlas = "RM_UNIT_ACTION_ATLAS",
	PortraitIndex = 3,
	ToolTip = function(action, unit)
		if (unit:IsActiveRecon()) then
			return "TXT_KEY_RECON_TOOLTIP"
		else
			return "TXT_KEY_RECON_DISABLED"
		end
	end,
	Condition = function(action, unit)
		if (unit:GetMoves() == 0) then
			return false
		end
		if (unit:CanRecon()) then
			return true
		else
			return false
		end
	end,
	Disabled = function(action, unit)
		return not unit:IsActiveRecon();
	end,
	Action = function(action, ActiveUnit, eClick)
		function doRecon ( hexX, hexY )
			if (CanDoActionAt(4, ActiveUnit, hexX, hexY)) then
				DoActionAt(4, ActiveUnit, hexX, hexY);
			end
			
			LuaEvents.ContactAction.Remove(doRecon);
			UI.SetInterfaceMode(InterfaceModeTypes.INTERFACEMODE_SELECTION);
		end
		LuaEvents.ContactAction.Add(doRecon);
		UI.SetInterfaceMode(GameInfoTypes.INTERFACEMODE_RECON);
	end,
}

LuaEvents.UnitPanelActionAddin(Recon)